Package org.snpeff.binseq.indexer

# Class OverlapRessult<T extends BinarySequence>

java.lang.Object
org.snpeff.binseq.indexer.OverlapRessult<T>

public class OverlapRessult<T extends BinarySequence> extends Object
An object used to store overlap parameters

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bestId`
`long`
`bestReference`
`int`
`bestScore`
`T`
`bestSequence`
`boolean`
`reverseWC`
`int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`OverlapRessult()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public int start

### bestScore

public int bestScore

### bestSequence

public T extends BinarySequence bestSequence

### bestReference

public long bestReference

### bestId

public int bestId

### reverseWC

public boolean reverseWC

## Constructor Details

### OverlapRessult

public OverlapRessult()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`